> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-references/api-guides/configuration/configuration-service/language.md).

# Language Tutorials

While the Emporix e-commerce system is designed in English, you can specify languages in which your business communicates with suppliers and customers. Languages are used when generating the following resources:

* Business reports
* Emails
* Invoices
* Packlists
* Picklists
* Shipping notes

### Supported languages

The Emporix e-commerce system supports a broad choice of languages, including regional language variants such as American English or Swiss German. By default, both your Emporix tenant and its main site have their language set to English.

{% hint style="warning" %}
Currently, the Emporix e-commerce system does not offer translation services.

To learn how to localize and translate your business's resources, check out the developer guides for particular services.
{% endhint %}

### Language configurations

Languages are configured both tenant-wide and independently for particular sites.

{% hint style="warning" %}
*What's the difference between a tenant's language configuration and a site's language configuration?*

Languages configured for a particular site need to be a subset of languages configured for the whole tenant. In other words, your tenant's language configuration must include all languages configured for all of the sites.
{% endhint %}

Language codes defined in language configurations must be compliant with the [IETF BCP-47 standard](https://en.wikipedia.org/wiki/IETF_language_tag).

Your tenant's language configuration is stored under the `project_lang` key in the [Emporix API Configuration Service](/api-references/api-guides/configuration/configuration-service.md). Check out the following language configuration example:

```json
{
  "key": "project_lang",
  "value": "[{\"id\":\"en\",\"label\":\"English\",\"default\":false,\"required\":false},{\"id\":\"de\",\"label\":\"German\",\"default\":true,\"required\":true},{\"id\":\"fr\",\"label\":\"French\",\"default\":false,\"required\":false}]"
}
```

Site-specific language configuration is stored in the `defaultLanguage` and `languages` fields, inside the `Site` object.

```json

{
  "defaultLanguage": "de",
  "languages": [
    "de",
    "en"
  ]
}
```

{% hint style="warning" %}
For more information on the `Site` object, check out the [*Site Settings Service guide*](/api-references/api-guides/configuration/site-settings-service.md).
{% endhint %}

### Managing language configurations through Emporix API

Check out the following tutorials to learn more about language configuration with Emporix API.

### How to check which languages are configured for your tenant

To retrieve your tenant's language configuration, send a request to the [Retrieving a configuration](https://developer.emporix.io/api-references/api-guides/configuration/configuration-service/api-reference/tenant-configurations#get-configuration-tenant-configurations-propertykey) endpoint.

{% hint style="success" %}
To test the endpoint, open the API reference or check the example of a curl request.
{% endhint %}

{% content-ref url="/pages/tdSQ3AsLz7TjdDcECwNM" %}
[API Reference](/api-references/api-guides/configuration/configuration-service/api-reference.md)
{% endcontent-ref %}

```bash
curl -L 
  --url 'https://api.emporix.io/configuration/{tenant}/configurations/{propertyKey}' 
  --header 'Accept: */*'
```

### How to change your tenant language configuration

To change your tenant language configuration, send a request to the [Updating a configuration](https://developer.emporix.io/api-references/api-guides/configuration/configuration-service/api-reference/tenant-configurations#put-configuration-tenant-configurations-propertykey) endpoint with updated language information in the request body.

{% hint style="warning" %}
The ID in the request body must be compliant with the [ISO 4217 standard](https://en.wikipedia.org/wiki/ISO_4217).
{% endhint %}

{% hint style="success" %}
To test the endpoint, open the API reference or check the example of a curl request.
{% endhint %}

{% content-ref url="/pages/tdSQ3AsLz7TjdDcECwNM" %}
[API Reference](/api-references/api-guides/configuration/configuration-service/api-reference.md)
{% endcontent-ref %}

```bash
curl -L 
  --request PUT 
  --url 'https://api.emporix.io/configuration/{tenant}/configurations/{propertyKey}' 
  --header 'Content-Type: application/json' 
  --data '{
    "key": "project_country",
    "secured": false,
    "value": "AT",
    "version": 1
  }'
```

### How to check which languages are configured for a particular site

To retrieve a particular site's language configuration, send a request to the [Retrieving a site](https://developer.emporix.io/api-references/api-guides/configuration/site-settings-service/api-reference/site-settings#get-site-tenant-sites-sitecode) endpoint. The language configuration will be returned in the the `defaultLanguage` and `language` fields in the response body.

{% hint style="success" %}
To test the endpoint, open the API reference or check the example of a curl request.
{% endhint %}

{% content-ref url="/pages/tEh9PHeE6ZnfGCZRAjzE" %}
[API Reference](/api-references/api-guides/configuration/site-settings-service/api-reference.md)
{% endcontent-ref %}

```bash
curl -L 
  --url 'https://api.emporix.io/site/{tenant}/sites/{siteCode}' 
  --header 'Accept: */*'
```

### How to change a particular site's language configuration

To change a particular site's language configuration, call the [Partially updating a site](https://developer.emporix.io/api-references/api-guides/configuration/site-settings-service/api-reference/site-settings#patch-site-tenant-sites-sitecode) endpoint with language configuration of your choice in the request body.

{% hint style="warning" %}
The currency code must be compliant with the [ISO 4217 standard](https://en.wikipedia.org/wiki/ISO_4217).
{% endhint %}

{% hint style="success" %}
To test the endpoint, open the API reference or check the example of a curl request.
{% endhint %}

{% content-ref url="/pages/tEh9PHeE6ZnfGCZRAjzE" %}
[API Reference](/api-references/api-guides/configuration/site-settings-service/api-reference.md)
{% endcontent-ref %}

```bash
curl -L 
  --request PATCH 
  --url 'https://api.emporix.io/site/{tenant}/sites/{siteCode}' 
  --header 'Content-Type: application/json' 
  --data '{
    "defaultLanguage": "en"
  }'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.emporix.io/api-references/api-guides/configuration/configuration-service/language.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
